Jump to content

Pon Control - комплекс управления и мониторинга сетью


Recommended Posts

  • Replies 599
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Предыстория: всё началось с простого желания видеть сигналы на ОНУшках через веб-интерфейс (с телефона работая на линии такая инфа необходима), потом задавались вопросом "А какие сигналы были до того,

get_fdb_by_telnet.php 24 строчка   "fwrite($con, "show mac a int $nameint \r\n");" рекомендую поправить на "fwrite($con, "show mac address-table int $nameint \r\n");" в  Build 58197 поя

Хозяйке на заметку:   Относительно полного вывода ОИДов   1. Юзайте snmpwalk с параметрами snmpwalk -v2c -On -Cc -c public ip-address   2. Юзайте опции в php snmp snmp_set_oid_numeric_print(SN

Posted Images

Подскажите кто то пробывал в пон контроллер добовлять ОЛТ Стелс?

Готов купить модуль или допелить контроллер.

Link to post
Share on other sites
  • 2 weeks later...

Ребят подскажите,поставил poncontrol на ubuntu 16.04 все работает но не отображаются значки на панели и логи апача 

Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 150
 Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 166
Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 124
Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 125

Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 197

Only variables should be passed by reference in /var/www/html/pon/get_snmp.php on line 33
Link to post
Share on other sites

 

 

обновился с 14.04 до 16.04 и началось

Мне не известны данные версии понконтрола.

Если вы про убунту - то зря вы ее в продакшен на сервак пихаете....

Link to post
Share on other sites

v1.2 (21.12.16) - Передалано под PHP7


 

обновился с 14.04 до 16.04 и началось

Мне не известны данные версии понконтрола.

Если вы про убунту - то зря вы ее в продакшен на сервак пихаете....

 

v1.2 (21.12.16) - Передалано под PHP7

Link to post
Share on other sites

Как связаны 7-й пых и пхание бубнты в продакшен? Давайте сразу уж виндовз.

 

Как связаны 7-й пых и пхание бубнты в продакшен? Давайте сразу уж виндовз.

сервак - отдельный комп для ponkontrol т.е вы хотите сказать лучше 14.04 и ponkontrol и не морочить ейцы? для чего тогда php 7?

Link to post
Share on other sites

 

Как связаны 7-й пых и пхание бубнты в продакшен? Давайте сразу уж виндовз.

 

Как связаны 7-й пых и пхание бубнты в продакшен? Давайте сразу уж виндовз.

сервак - отдельный комп для ponkontrol т.е вы хотите сказать лучше 14.04 и ponkontrol и не морочить ейцы? для чего тогда php 7?

 

кому фри кому бубнты

Link to post
Share on other sites

по тому что человек не может назвать название дистрибутива правильно - сразу видно школяра. каникулы начались?

убунта в серверном исполнении ничуть не хуже центоси

ещё арч, бл@#ь, посоветуй

Link to post
Share on other sites
сервак - отдельный комп для ponkontrol т.е вы хотите сказать лучше 14.04 и ponkontrol и не морочить ейцы? для чего тогда php 7?

Так вот к вам собсно и вопрос, зачем апгрейдили бубунту с 14 на 16? Вот как кладовщик - кладовщику ответьте на данный вопрос.

 

 

 

убунта в серверном исполнении ничуть не хуже центоси

Ок. Почему на 14 ветке - работает понконтрол, на 16-й бубуку. Вот как не школьник школьнику скажите?

Edited by Dimkers
Link to post
Share on other sites

 

сервак - отдельный комп для ponkontrol т.е вы хотите сказать лучше 14.04 и ponkontrol и не морочить ейцы? для чего тогда php 7?

Так вот к вам собсно и вопрос, зачем апгрейдили бубунту с 14 на 16? Вот как кладовщик - кладовщику ответьте на данный вопрос.

 

 

 

убунта в серверном исполнении ничуть не хуже центоси

Ок. Почему на 14 ветке - работает понконтрол, на 16-й бубуку. Вот как не школьник школьнику скажите?

 

 

Потому что руки кривые. PHP такая хрень, которая не всегда совместима с более старыми версиями. Но никто не мешает использовать PHP 5.6 или даже более старую версию под убунтой 16.06. 

Так же само как никто не мешает поставить более новую версию под ту же центось, в которой изначально идёт древняя версия php.

Даже из исходников компилировать не нужно, достаточно репозитарий подключить.

Ну и версию PON Control, адаптированную под php7, тут уже выкладывали.

Link to post
Share on other sites

Ну тоесть при обновлении ядра бубунта решила обновить и пхп. Ее кто-то просил это делать?

Так при чем тут кривые руки? Или имелось ввиду кривые руки разрабов бубунты?

Вы раскрывайте мысль, не стесняйтесь :)

Link to post
Share on other sites

Обновление убунты с версии 14.04 до 16.04 - это не обновление ядра, это обновление дистрибутива в целом.

И если тот кто это делал не понимает этого механизма и не готов прогнозировать последствия - нечего ему делать в профессии

Link to post
Share on other sites

Крутая фишка в продакшене. Именно об этом я говорил на прошлых страницах. Как то в центосе, фре, генте все чутка иначе обстоит. Не находите? Именно поэтому в центосе в репах стабильной считается не 7-я версия пыха. Объяснять почему, думаю - не стоит?

Link to post
Share on other sites

Крутая фишка в продакшене. Именно об этом я говорил на прошлых страницах. Как то в центосе, фре, генте все чутка иначе обстоит. Не находите? Именно поэтому в центосе в репах стабильной считается не 7-я версия пыха. Объяснять почему, думаю - не стоит?

 

Какая фишка? Обновление с 14.04 до 16.06  потянуло за собой обновление мажорной версии php? 

Это является новостью только для идиотов. потому что адекватные люди читают новости к релизам.

А центось погрязло в устаревшем софте ещё больше чем дебиан. И это совсем не плюс для новых версий центоси, тем более что срок поддержки у неё огромный, а обновлется даже не минорная версия софта, а только номер сборки при накладывании патчей безопасности. Да, центось один из самых стабильных дистрибутивов. Но из-за устаревшего софта в официальных репозитариях - приходится подключать сторонние. И все гарантии производителя дистрибутива в плане стабильности и безопасности  вместе с этим уходят коту под хвост.

Но мы скатились в холивар. Каждому дистрибутиву своё место. Главное чтобы руки не из жопы

За сим прощаюсь

Link to post
Share on other sites
Какая фишка? Обновление с 14.04 до 16.06 потянуло за собой обновление мажорной версии php? Это является новостью только для идиотов. потому что адекватные люди читают новости к релизам.

Да какая в дупу разница? Вы читать умеете? Кто ставит дистр, который сам там решает дообновить пачку пакетов?

 

 

 

А центось погрязло в устаревшем софте ещё больше чем дебиан.

Для понимания Вашей глупости я вам тайну открою - есть у убунту простые дистры, а есть LTS. Да-да. И в LTS пакеты постарее(для Вас - по стабильней)

 

Как кладовщик кладовщику ответьте - интересно, почему же чуть старые версии пакетов, вызывают у вас такую боль? Может быть причина в ощущениях «отставания» от всего «прогрессивного» мира?

 

 

 

Но из-за устаревшего софта в официальных репозитариях - приходится подключать сторонние. И все гарантии производителя дистрибутива в плане стабильности и безопасности вместе с этим уходят коту под хвост.

Да вы что. А Вы в курсах, что тот же всеукраинских хостинг ukraine.com.ua стабильной по дефолту дает 5.6 версию пыха. Да-да. Есть возможность смены на 7-ю, но стабильной идет таки 5.6:

 

8Andg3oHqk5Bpm.jpg

 

Ответите на вопрос - с хрена ли? :D

 

 

 

Главное чтобы руки не из жопы

Ага. Тока вы о голове забыли, а так верно.

Edited by Dimkers
Link to post
Share on other sites

Корче школяра понятно, я сюда пришел не п@здеть друг на друга а за подсказкой, дистр 16.04.LTS PHP7 еще раз повторяю работает все, но вопросы по отображению

Link to post
Share on other sites

Подскажите кто то пробывал в пон контроллер добовлять ОЛТ Стелс?

Готов купить модуль или допелить контроллер.

 

Готов скинуться с вами

Link to post
Share on other sites

 

 

Да вы что. А Вы в курсах, что тот же всеукраинских хостинг ukraine.com.ua стабильной по дефолту дает 5.6 версию пыха. Да-да. Есть возможность смены на 7-ю, но стабильной идет таки 5.6:

 

 

Ответите на вопрос - с хрена ли?

 

http://php.net/supported-versions.php

Link to post
Share on other sites

 

 

Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 150  Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 166 Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 124 Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 125 Only variables should be passed by reference in /var/www/html/pon/function_lib.php on line 197 Only variables should be passed by reference in /var/www/html/pon/get_snmp.php on line 33

И в чем проблема исправить "Only variables should be passed by reference" всего в 6-ти местах с конструкциями типа

  $rx = end(explode('INTEGER: ', $rx));

английским же по-белому сказано, что end требует переменную как аргумент

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

  • Similar Content

    • By nickstav
      Предлагаю.  Сварка ВОЛС PON монтаж. Измерение ВОЛС рефлектометром. Киев и область
    • By Pasivka
      Продам залишки :
      - пігтейли :
      LC/UPS 1.5 м 72шт  - 4 грн/шт
      SC/UPC 1.5м 72шт  - 4грн/шт
      - адаптер SC/UPC 150шт/100грн
      - FOB-04-16    2шт   - 100грн/шт
      - Crosver Fosc-MB-338/24-1-12-9SC 6шт                               - 85грн/шт
      - дільник 1/8  30шт  - 85грн/шт








    • By Pasivka
      Продам залишки :
      - пігтейли :
      LC/UPS 1.5 м 72шт  - 4 грн/шт
      SC/UPC 1.5м 72шт  - 4грн/шт
      - адаптер SC/UPC 150шт/100грн
      - FOB-04-16    2шт   - 100грн/шт
      - Crosver Fosc-MB-338/24-1-12-9SC 6шт                               - 85грн/шт
      - дільник 1/8  30шт  - 85грн/шт








    • By ssergiy
      Надаю послуги по розварюванню (сварці), зварюванню оптоволоконна, магістральних ВОЛЗ. Пошук пошкодження, втрати сигналу, вхідний контроль, контроль після прокладки та монтажу. При потребі виконаю виміри рефлектометром, оптичними тестерами.
      При потребі надам виконавчу документацію згідно КНД41-141-99.
      Досвід роботи по будівництву та монтажу ВОЛЗ, PON мережі.
      Ціна залежить від об'єму робіт.
      Можливий виїзд.
      т. 0959310003
    • By os8143385.com
      Продам OLT-и BDCOM у відмінному стані, у зв'язку з переходом на XPON.
      В наявності:
      BDCOM 3616-2TE - 1шт ( 1350 $ )
      BDCOM 3608-2TE - 1шт ( 650 $ )
      BDCOM 3608        - 1шт ( 500 $ )
      BDCOM 3310        - 3шт ( 300 $ )
      Курс 33 грн.
       



×
×
  • Create New...